ClusterSession (Tomcat API Documentation)
Keywords: org.apache.catalina.ha.ClusterSession interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.ha
Interface ClusterSession

All Superinterfaces:
  javax.servlet.http.HttpSession, Session

All Known Implementing Classes:
  DeltaSession, ReplicatedSession

    public interface ClusterSession

extends Session, javax.servlet.http.HttpSession

Field Summary

Fields inherited from interface org.apache.catalina.Session
`SESSION_ACTIVATED_EVENT, SESSION_CREATED_EVENT, SESSION_DESTROYED_EVENT, SESSION_PASSIVATED_EVENT`

Method Summary
`boolean` | `isPrimarySession()` returns true if this session is the primary session, if that is the case, the manager can expire it upon timeout.
`void` | `setPrimarySession(boolean primarySession)` Sets whether this is the primary session or not.

Methods inherited from interface org.apache.catalina.Session
`access, addSessionListener, endAccess, expire, getAuthType, getCreationTime, getId, getIdInternal, getInfo, getLastAccessedTime, getLastAccessedTimeInternal, getManager, getMaxInactiveInterval, getNote, getNoteNames, getPrincipal, getSession, isValid, recycle, removeNote, removeSessionListener, setAuthType, setCreationTime, setId, setManager, setMaxInactiveInterval, setNew, setNote, setPrincipal, setValid`

Methods inherited from interface javax.servlet.http.HttpSession
`getAttribute, getAttributeNames, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getServletContext, getSessionContext, getValue, getValueNames, invalidate, isNew, putValue, removeAttribute, removeValue, setAttribute, setMaxInactiveInterval`

Method Detail

### isPrimarySession

    boolean isPrimarySession()

  returns true if this session is the primary session, if that is the case, the manager can expire it upon timeout.

  Returns:
    True if this session is primary

### setPrimarySession

    void setPrimarySession(boolean primarySession)

  Sets whether this is the primary session or not.

  Parameters:
    `primarySession` - Flag value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.